> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET List Templates

> Retrieve WhatsApp message templates.

## List templates

`GET /api/templates`

Retrieve all WhatsApp message templates for the authenticated user.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

### Query parameters

**page** `integer` (default: 1)

Page number.

**limit** `integer` (default: 20)

Items per page.

**status** `string`

Filter: `APPROVED`, `PENDING`, `REJECTED`, `PAUSED`.

**category** `string`

Filter: `MARKETING`, `UTILITY`, `AUTHENTICATION`.

**search** `string`

Search template name.

```bash cURL theme={null}
curl "https://zeplo.ai/api/templates?status=APPROVED" \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": [
    {
      "id": 1,
      "name": "welcome_message",
      "category": "MARKETING",
      "status": "APPROVED",
      "language": "en",
      "body": "Welcome to {{1}}! We're excited to have you.",
      "header": null,
      "footer": "Reply STOP to unsubscribe",
      "buttons": [
        { "type": "QUICK_REPLY", "text": "Get Started" }
      ],
      "channelId": "647015955153740",
      "metaTemplateId": "1234567890",
      "createdAt": "2026-01-01T08:00:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 15,
    "totalPages": 1
  }
}
```

***

## Get templates by user

`GET /api/templatesByUserId`

```bash cURL theme={null}
curl https://zeplo.ai/api/templatesByUserId \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.